(dictadd ename symbol newobj)


Add a nongraphical object to a dictionary.


The dictadd function adds an object (newobj) to a dictionary (ename), where symbol is the key name of the object being added to the dictionary. Each symbol must be a unique name that does not already exist in the dictionary. Each object added to a dictionary must be unique to that dictionary.

Example

; Create an entity list

(setq dictionary (list '(0 . "DICTIONARY") '(100 . "AcDbDictionary")))

; Create an entity from entity list

:(setq xname (entmakex dictionary))

; Get the named object dictionary

(setq nmdict (namedobjdict))

; Add a record to dictionary table

(setq newdict (dictadd nmdict "MY_DICTIONARY" xname))

; Create an entity list

(setq datalist (append (list '(0 . "XRECORD") '(100 . "AcDbXrecord")) '((1 . "MY_DATA") (10 1. 2. 3.) (70 . 33))))

; Create an entity from entity list

(setq xname (entmakex datalist))

; Add a record and return the entity name of the object added to the dictionary.

(dictadd newdict "DATA_RECORD" xname)

Tell me about...

(dictnext)

(dictremove)

(dictrename)

(dictsearch)

LISP Compatibility

Programming Overview of LISP (LISt Processing) Language